package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Devoluciones generated by hbm2java
 */
@Entity
@Table(name="devoluciones"
    ,catalog="sistema_ventas"
)
public class Devoluciones  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer iddev;
     private FacturaDetalle facturaDetalle;
     private Date fecha;
     private String motivo;
     private Integer cantidad;

    public Devoluciones() {
    }

	
    public Devoluciones(String motivo) {
        this.motivo = motivo;
    }
    public Devoluciones(FacturaDetalle facturaDetalle, Date fecha, String motivo, Integer cantidad) {
       this.facturaDetalle = facturaDetalle;
       this.fecha = fecha;
       this.motivo = motivo;
       this.cantidad = cantidad;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="iddev", unique=true, nullable=false)
    public Integer getIddev() {
        return this.iddev;
    }
    
    public void setIddev(Integer iddev) {
        this.iddev = iddev;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="factura")
    public FacturaDetalle getFacturaDetalle() {
        return this.facturaDetalle;
    }
    
    public void setFacturaDetalle(FacturaDetalle facturaDetalle) {
        this.facturaDetalle = facturaDetalle;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="fecha", length=19)
    public Date getFecha() {
        return this.fecha;
    }
    
    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    
    @Column(name="motivo", nullable=false, length=65535)
    public String getMotivo() {
        return this.motivo;
    }
    
    public void setMotivo(String motivo) {
        this.motivo = motivo;
    }

    
    @Column(name="cantidad")
    public Integer getCantidad() {
        return this.cantidad;
    }
    
    public void setCantidad(Integer cantidad) {
        this.cantidad = cantidad;
    }




}


